Configure custom domain
Creates a custom domain configuration on your tenant. You can configure a custom domain for a specific MATTR VII tenant to represent your brand and instil trust with your end-users. Any MATTR VII tenant can only have one custom domain. Refer to our docs for more information.
Roles
Analytics Events
bearerAuthAuthorizationBearer <token>The custom domain payload
- body
name*stringInsert a name for the custom domain that will be displayed to digital wallet holders when they receive credential offers or verification requests from this tenant.
logoUrl*stringInsert a URL for a square logo that will be displayed to digital wallet holders when they receive credential offers or verification requests from your MATTR VII tenant:
- URL must be publicly available.
- Must be a square image, recommended 64x64 px in size
- png and jpg files are supported.
- The recommended maximum size is 15 KB.
domain*stringInsert the full custom domain, leaving out the protocol (e.g. https://).
Custom domain created
application/json- response
name*stringlogoUrl*stringdomain*stringverificationToken*stringThis value must be added to your domain DNS entry TXT record. Refer to Verify domain ownership for more information.
isVerified*booleanverifiedAt?stringIndicates when the custom domain was verified. This field is only included in the response when isVerified is true.
curl -X POST "https://example.com/v1/config/domain" \ -H "Content-Type: application/json" \ -d '{ "name": "Example Corp", "logoUrl": "https://cdn.example.com/logo.jpg", "domain": "example.com" }'{ "name": "Example Corp", "logoUrl": "https://cdn.example.com/logo.jpg", "domain": "example.com", "verificationToken": "8c6f36c1-91ff-439d-a518-48cf7ef421ef", "isVerified": false}How would you rate this page?
Create API Auth Token POST
Authorization endpoint for gaining token used for API requests requiring `bearerAuth`. You will be provided the required `client_id` and `client_secret` as part of onboarding. <Callout> The returned bearer token will only enable access to endpoints as per your client's defined role. Refer to [Access Control](https://learn.mattr.global/docs/platform-management/access-control) for more information. </Callout>
Retrieve custom domain GET
Returns your tenant's custom domain configuration and its verification status.